[#ftl output_format="XML"]
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<rsm:CrossIndustryInvoice xmlns:ram="urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:100" xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:100" xmlns:rsm="urn:un:unece:uncefact:data:standard:CrossIndustryInvoice:100">
    <rsm:ExchangedDocumentContext>
        <ram:GuidelineSpecifiedDocumentContextParameter>
            <ram:ID>urn:zugferd.de:2p0:minimum</ram:ID>
        </ram:GuidelineSpecifiedDocumentContextParameter>
    </rsm:ExchangedDocumentContext>
    <rsm:ExchangedDocument>
        <ram:ID>${invoice.number}</ram:ID>
        [#--
        Für die Profile BASIC WL und MINIMUM darf auschließlich folgender Code verwendet werden:
        751 : Buchungshilfe - KEINE Rechnung
        --]
        <ram:TypeCode>751</ram:TypeCode>
        <ram:IssueDateTime>
            <udt:DateTimeString format="102">${invoice.date?date?string("yyyyMMdd")}</udt:DateTimeString>
        </ram:IssueDateTime>
    </rsm:ExchangedDocument>
    <rsm:SupplyChainTradeTransaction>
        <ram:ApplicableHeaderTradeAgreement>
            <ram:SellerTradeParty>
                <ram:Name>${business.name}</ram:Name>
                <ram:PostalTradeAddress>
                    <ram:PostcodeCode>${business.zip}</ram:PostcodeCode>
                    <ram:LineOne>${business.address}</ram:LineOne>
                    <ram:CityName>${business.city}</ram:CityName>[#if business.country?length != 0]
                    <ram:CountryID>${business.country}</ram:CountryID>[/#if]
                </ram:PostalTradeAddress>
                [#if business.taxNumber?length != 0]
                <ram:SpecifiedTaxRegistration>
                    <ram:ID schemeID="VA">${business.taxNumber}</ram:ID>
                </ram:SpecifiedTaxRegistration>
                [/#if]
            </ram:SellerTradeParty>
            <ram:BuyerTradeParty>
                <ram:Name>${client.name}</ram:Name>
                <ram:PostalTradeAddress>
                    <ram:PostcodeCode>${client.zip}</ram:PostcodeCode>
                    <ram:LineOne>${client.address}</ram:LineOne>
                    <ram:CityName>${client.city}</ram:CityName>[#if client.country?length != 0]
                    <ram:CountryID>${client.country}</ram:CountryID>[/#if]
                </ram:PostalTradeAddress>
                [#if client.taxNumber?length != 0]
                <ram:SpecifiedTaxRegistration>
                    <ram:ID schemeID="VA">${client.taxNumber}</ram:ID>
                </ram:SpecifiedTaxRegistration>
                [/#if]
            </ram:BuyerTradeParty>
        </ram:ApplicableHeaderTradeAgreement>
        <ram:ApplicableHeaderTradeDelivery></ram:ApplicableHeaderTradeDelivery>
        <ram:ApplicableHeaderTradeSettlement>
            <ram:InvoiceCurrencyCode>${invoice.currency.currencyCode}</ram:InvoiceCurrencyCode>
            <ram:SpecifiedTradeSettlementHeaderMonetarySummation>
                <ram:TaxBasisTotalAmount>${invoice.total.amount?string("###0.00")}</ram:TaxBasisTotalAmount>
                <ram:TaxTotalAmount currencyID="${invoice.taxesTotal.currency.currencyCode}">${invoice.taxesTotal.amount?string("###0.00")}</ram:TaxTotalAmount>
                <ram:GrandTotalAmount>${invoice.grandTotal.amount?string("###0.00")}</ram:GrandTotalAmount>
                <ram:DuePayableAmount>${invoice.balance.amount?string("###0.00")}</ram:DuePayableAmount>
            </ram:SpecifiedTradeSettlementHeaderMonetarySummation>
        </ram:ApplicableHeaderTradeSettlement>
    </rsm:SupplyChainTradeTransaction>
</rsm:CrossIndustryInvoice>